<!-- templates/registration/password_reset_complete.html -->
{% extends 'base.html' %}

{% block title %}Change password{% endblock %}


{% block content %}
<div class="container-fluid">
    <div class="row justify-content-center">
        <div class="col-md-6">

            <form method="post">{% csrf_token %}
                <div>
                    {% if form.errors %}
                    <div class="alert alert-danger" role="alert">
                        <p class="errornote">
                            {% if form.errors.items|length == 1 %}Please correct
                            the error below.{% else %} Please correct the errors
                            below.{% endif %}
                        </p>
                    </div>

                    {% endif %}

                    <div class="alert alert-primary mt-2" role="alert">
                        <p>Please enter your old password, for security’s sake, and
                        then enter your new password twice so we can verify you
                        typed it in correctly.</p>
                    </div>


                    <fieldset class="module aligned wide">

                        <div class="form-row">
                            {{ form.old_password.errors }}
                            <p><b>{{ form.old_password.label_tag }} </b></p>
                            {{ form.old_password }}
                        </div>
                        <br>

                        <div class="form-row">
                            {{ form.new_password1.errors }}
                            <p><b>{{ form.new_password1.label_tag }}</b></p>

                            {{ form.new_password1 }}
                            {% if form.new_password1.help_text %}

                            <div class="alert alert-primary mt-2" role="alert">
                                {{ form.new_password1.help_text|safe }}
                            </div>
                            {% endif %}
                        </div>

                        <br>
                        <div class="form-row">
                            {{ form.new_password2.errors }}
                            <p><b>{{ form.new_password2.label_tag }} </b></p>
                            {{ form.new_password2 }}
                            {% if form.new_password2.help_text %}
                            <div class="help">{{ form.new_password2.help_text|safe }}
                            </div>
                            {% endif %}
                        </div>

                    </fieldset>

                    <br>
                    <div class="submit-row">
                        <input type="submit" value="Change my password"
                               class="btn btn-primary">
                    </div>

                </div>
            </form>
        </div>
    </div>
</div>


{% endblock %}
